$(document).ready(function(){
	$('#confirma').click(function(e){
		$('#confirma').prop("disabled",true);
		$('#confirma').text("Enviando...");
		$.ajax({
	        url: "add/Rcita.php",
	        type: "POST",
	        dataType: "JSON",
	        data: $("#frm-cita").serialize(),
				success: function (data) {
					console.log(data);
					$('#modal-1').fadeOut();
					$("#frm-cita")[0].reset();
				    modalLauncher('modal-2');
					/*setTimeout(function(){ 
						window.location = './';
					}, 10000*/
			        $('#telefono').addClass('sinvalidar');
			        $('#necesidad').addClass('sinvalidar');
			        $('#terminos').addClass('sinvalidar');
			        $('#matricula').addClass('sinvalidar');
					$('#confirma').prop("disabled",false);
			        $('#confirma').text("Confirmar");
					$('#enviar').css('pointer-events', 'auto');
	                $("#enviar").html("Programar Cita");
	                $("#enviar").prop('disabled', false);
	                $("#frm-cita")[0].reset();
                    $("#hCita").empty();
                    $('#hCita').append('<option selected>Seleccione...</option>');
					//window.location = thankyou_path; 
	                },
			    error: function() {
			    	
			        //alert("No se realizó el registro, intenta nuevamente");
			        //alert("Alumno ticket");
			        $('#enviar').css('pointer-events', 'auto');
	                $("#enviar").html("Programar Cita");
	                $("#enviar").prop('disabled', false);
	                $("#frm-cita")[0].reset();
                    $("#hCita").empty();
                    $('#hCita').append('<option selected>Seleccione...</option>');
			        
			        }

		});
	});

});

function addticket(){
		var thankyou_path="/agradecimiento";
		$('#enviar').css('pointer-events', 'none');
		//se.preventDefault();
	    $("#enviar").html("");
	    $('#enviar').prop('disabled', true);
	    $("#enviar").html("Enviando.....");

		$.ajax({
	        url: "add/Rcita.php",
	        type: "POST",
	        dataType: "JSON",
	        data: $("#frm-cita").serialize(),
				success: function (data) {
					var d = new Date();
                    var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
					let datosDias= sessionStorage.getItem("key");
					//console.log("---"+strDate+"----"+datosDias);
					if(datosDias != null){
						disabledDays = JSON.stringify(nDatesSaturados(strDate));
						sessionStorage.setItem('key', disabledDays);
					}
					//console.log(data.res);
					if(data.res==true){
						alertify.alert("<img src='images/icon_success.png' width='40' height='40'>",data.msg).set('label', 'Aceptar');
				    }else{
				    	alertify.alert("<img src='images/alert_icon.png' width='40' height='40'>",data.msg).set('label', 'Aceptar');
				    }

                    
					$('#enviar').css('pointer-events', 'auto');
	                $("#enviar").html("Programar Cita");
	                $("#enviar").prop('disabled', false);
	                $("#frm-cita")[0].reset();
                    $("#hCita").empty();
                    $('#hCita').append('<option selected>Seleccione...</option>');
					//window.location = thankyou_path; 
	                },
			    error: function() {
			    	var d = new Date();
                    var strDate = d.getFullYear() + "-" + (d.getMonth()+1) + "-" + d.getDate();
					let datosDias= sessionStorage.getItem("key");
					//console.log("---"+strDate+"----"+datosDias);
					if(datosDias != null){
						disabledDays = JSON.stringify(nDatesSaturados(strDate));
						sessionStorage.setItem('key', disabledDays);
					}
			        //alert("No se realizó el registro, intenta nuevamente");
			        alertify.alert("Alumno ticket","<img src='images/alert_icon.png' width='70' height='70'>No se realizó el registro, intenta nuevamente por favor!").set('label', 'Aceptar');
			        $('#enviar').css('pointer-events', 'auto');
	                $("#enviar").html("Programar Cita");
	                $("#enviar").prop('disabled', false);
	                $("#frm-cita")[0].reset();
                    $("#hCita").empty();
                    $('#hCita').append('<option selected>Seleccione...</option>');
			        
			        }

		});
	

  }